/* types.h */

#include "consts.h"
#include "version.h"

#define NULL2 *NULL

extern int	errno;

#define DIRBLKSIZ 1024

/*
 * Definitions for library routines operating on directories.
 */
typedef struct _dirdesc {
	int	dd_fd;
	long	dd_loc;
	long	dd_size;
	char	dd_buf[DIRBLKSIZ];
} DIR;
typedef struct file_node {
	char			*name;		/* file name */
	struct file_node	*next;
} FNODE;

typedef struct depend_node {
	char			*name;		/* file name */
	FNODE			*dlist;		/* list of files that depend
						   on this one */
	int			use_it;
	struct depend_node	*next;
} DNODE;

typedef struct opt_node {
	int			version;
	int			verbatim;
	int			exhaustive;
	int			interactive;
	char			*cc;
	char			*cflags;
	char			*lflags;
} OPTS;

typedef struct cpp_node {
	int			expr_val;
	int			in_else;
	struct cpp_node		*next;   
} CPPN;

typedef struct sym_ent {
	char			*name;
	struct sym_ent		*next;
} SYMENT;

#ifdef NODIRECT
#define direct	dirent 
#endif

